## gate.creole
Class FeatureMethod

    java.lang.Object
      |
      +--gate.creole.FeatureMethod

class FeatureMethod
extends Object

FeatureMethod is a class encapsulating information about the feature of a method such as the name, the return type, the parameters types or exceptions types

Field Summary
`protected List` `exceptionTypes` the list with the types of the exceptions
`protected String` `nameMethod` the name of the method
`protected List` `parameterTypes` the list with the types of the parameters
`protected String` `valueReturn` the return value

Constructor Summary
`(package private)` `FeatureMethod()`

Method Summary
`boolean` `equals(Object obj)`
`List` `getExceptionTypes()`
`String` `getNameMethod()`
`List` `getParameterTypes()`
`String` `getValueReturn()`
`int` `hashCode()`
`void` `setExceptionTypes(List newExceptionTypes)`
`void` `setNameMethod(String newNameMethod)`
`void` `setParameterTypes(List newParameterTypes)`
`void` `setValueReturn(String newValueReturn)`

Methods inherited from class java.lang.Object
`<clinit>, clone, finalize, getClass, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### nameMethod

    protected String nameMethod

  the name of the method

### valueReturn

    protected String valueReturn

  the return value

### parameterTypes

    protected List parameterTypes

  the list with the types of the parameters

### exceptionTypes

    protected List exceptionTypes

  the list with the types of the exceptions

Constructor Detail

### FeatureMethod

    FeatureMethod()

Method Detail

### getNameMethod

    public String getNameMethod()

### getValueReturn

    public String getValueReturn()

### getParameterTypes

    public List getParameterTypes()

### getExceptionTypes

    public List getExceptionTypes()

### setNameMethod

    public void setNameMethod(String newNameMethod)

### setValueReturn

    public void setValueReturn(String newValueReturn)

### setParameterTypes

    public void setParameterTypes(List newParameterTypes)

### setExceptionTypes

    public void setExceptionTypes(List newExceptionTypes)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`